#include<bits/stdc++.h>
using namespace std;

int calc(int n, int a) {
    int m = n/a,br = 0;
    for(int i = a; i*i <= m; i++) {
        if(m%i == 0) {
            br++;
        }
    }
    return br;
}

int main()
{
    ios_base::sync_with_stdio(NULL);
    cin.tie(NULL);
    cout.tie(NULL);
    int n,ans = 0;
    cin >> n;
    for(int i = 1; i*i*i <= n; i++) {
        if(n%i == 0) {
            ans+=calc(n,i);
        }
    }
    cout << ans;
    return 0;
}
